Subject: bug#20260: closed (Re: bug#20260: 24.4.1; Triple-clicking selects and deselects the line in weird situations)

From: [email-masked] (GNU bug Tracking System)
Date: Mon, 13 Apr 2015 14:19:02 +0000

Your bug report

#20260: 24.4.1; Triple-clicking selects and deselects the line in weird situations

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
20260: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=20260
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#20260: 24.4.1; Triple-clicking selects and deselects the line in weird situations
From: Stefan Monnier <[email-masked]>
To: Vasilij Schneidermann <[email-masked]>
Cc: [email-masked], [email-masked]
Date: Mon, 13 Apr 2015 10:18:02 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

>> The patch does indeed fix the test case for me, but the real use case
>> stays unchanged.

Since it fixes Jorgen's test case I installed the patch into master, and
I'm closing this bug.

> Hmm... Can you provide another recipe that still isn't fixed with the patch?

If/when you find another recipe to reproduce your problem, just make
a new bug report (or re-open this one).

Thank you,

        Stefan

Subject: 24.4.1; Triple-clicking selects and deselects the line in weird situations
From: Jorgen Schaefer <[email-masked]>
To: [email-masked]
Date: Sun, 05 Apr 2015 00:29:21 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello!
We came across a weird behavior in Emacs.

The graphical version (in X) will select a line if the mouse is
triple-clicked. Under certain situations, it will select but immediately
deselect the line again.

Reproduction:

Triple-click on any line in any buffer. Notice that Emacs selects the
whole line, and leaves it selected.

Evaluate the following code.

(defun repro-filter (fun beg end delete)
  (let ((string (funcall fun beg end delete)))
    (with-temp-buffer
      (insert "."))
    string))

(with-current-buffer (get-buffer-create "*Bug*")
  (set (make-local-variable 'filter-buffer-substring-functions)
       '(repro-filter))
  (insert "Hello, World!\n")
  (pop-to-buffer (current-buffer)))

Triple-click on the "World" in the *Bug* buffer. Notice that Emacs
selects the whole line only momentarily, and then deselects it again
immediately.

I expected the line to stay selected like without this piece of code.

This bug was not present in 24.3.

Regards,
Jorgen